/**
 * \file Sauvegarde.c
 * \brief Contient la fonction de sauvegarde
 * \author
*/

#include "Fonctions.h"

/**
 * \brief Sauvegarde les nouvelles données dans les fichiers
 * \author 
 * \param tNoCarte tableau contenant les numéros de toutes les cartes
 * \param tAge tableau contenant les âges des membres
 * \param tPointsCarte tableau qui contient le nombre de points restants sur chaque carte
 * \param tCarteActive tableau qui contient l'état de chaque carte
 * \param tNbActivitesJour tableau qui contient le nombre d'activité par jour
 * \param tDate tableau qui contient les dates
 * \param nbElem taille logique des tableaux tNoCarte, tAge, tPointsCarte et tCarteActive
 * \param pasAct taille logique des tableaux tNbActivitesJour et tDate
 * \return le code d'erreur : -1 en cas d'erreur et 0 sinon 
*/
int Sauvegarde(int tNoCarte[], int tAge[], int tPointsCarte[], int tCarteActive[], int tNbActivitesJour[], int tDate[], int nbElem, int pasAct)
{
    int i, j;
    FILE *flot, *jour;
    flot = fopen("membres.don", "w");
    jour = fopen("ActivitesJour.don", "w");
    if (flot == NULL)
    {
        printf("Problème d'ouverture du fichier membres.don en écriture.\n");
        return -1;
    }
    if (jour == NULL)
    {
        printf("Problème d'ouverture du fichier ActivitesJour.don en écriture.\n");
        return -1;
    }
    for (i = 0; i < (nbElem - 1); i++)
    {
        fprintf(flot, "\t%d\t%d\t\t%d\t\t%d\n", tNoCarte[i], tAge[i], tPointsCarte[i], tCarteActive[i]);
    }
    for (j = 0; j < (nbElem - 1); j++)
    {
        fprintf(jour, "%d\t\t%d\n", tDate[j], tNbActivitesJour[j]);
    }
    fclose(jour);
    fclose(flot);
    return 0;
}